> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Create a fundraising pledge

POST https://ssuccessv2.com/app/api/v1/fundraising/pledge/create
Content-Type: application/json

Creates a pledge for the active school and resolves or creates its fundraising donor from the supplied payer and contact details.

Reference: https://docs.schoolset.io/api-reference/school-set-api/fundraising-pledges/create-fundraising-pledge

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `fundraising_fund_id` (integer, required)
- `payer_id` (integer, required)
- `payer_type` (enum, required)
  - Allowed values: `parent`, `family`, `entity`, `donor`, `guest`, `student`
- `pledge_date` (date, required)
- `fundraising_id` (integer, optional, nullable)
- `amount` (double, optional, nullable)
- `due_date` (date, optional, nullable)
- `of_installments` (integer, optional, nullable)
- `frequency` (string, optional, nullable)
- `amount_per_installment` (double, optional, nullable)
- `recurring_period_id` (integer, optional, nullable)
- `indefinite` (boolean, optional, nullable)
- `email` (string, optional, nullable)
- `cell_phone` (string, optional, nullable)
- `note` (string, optional, nullable)
- `pair` (list of enum, optional)
  - Allowed values: `amount`, `amount_per_installment`, `of_installments`

## Response

### 200

Created pledge detail.

- `status` (string, optional)
- `message` (string, optional)
- `data` (map from string to any, optional)

## Errors

### 401 Unauthorized Error

Authentication required.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The authenticated user lacks create-donation permission.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Pledge fields are invalid.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Examples

**Request**

```json
{
  "fundraising_fund_id": 14,
  "payer_id": 1004,
  "payer_type": "parent",
  "fundraising_id": 32,
  "amount": 1200,
  "of_installments": 12,
  "frequency": "monthly",
  "amount_per_installment": 100,
  "email": "rivka@example.com"
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved successfully.",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/fundraising/pledge/create"

payload = {
    "fundraising_fund_id": 14,
    "payer_id": 1004,
    "payer_type": "parent",
    "fundraising_id": 32,
    "amount": 1200,
    "of_installments": 12,
    "frequency": "monthly",
    "amount_per_installment": 100,
    "email": "rivka@example.com"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/fundraising/pledge/create';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"fundraising_fund_id":14,"payer_id":1004,"payer_type":"parent","fundraising_id":32,"amount":1200,"of_installments":12,"frequency":"monthly","amount_per_installment":100,"email":"rivka@example.com"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/fundraising/pledge/create"

	payload := strings.NewReader("{\n  \"fundraising_fund_id\": 14,\n  \"payer_id\": 1004,\n  \"payer_type\": \"parent\",\n  \"fundraising_id\": 32,\n  \"amount\": 1200,\n  \"of_installments\": 12,\n  \"frequency\": \"monthly\",\n  \"amount_per_installment\": 100,\n  \"email\": \"rivka@example.com\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/fundraising/pledge/create")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"fundraising_fund_id\": 14,\n  \"payer_id\": 1004,\n  \"payer_type\": \"parent\",\n  \"fundraising_id\": 32,\n  \"amount\": 1200,\n  \"of_installments\": 12,\n  \"frequency\": \"monthly\",\n  \"amount_per_installment\": 100,\n  \"email\": \"rivka@example.com\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/fundraising/pledge/create")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"fundraising_fund_id\": 14,\n  \"payer_id\": 1004,\n  \"payer_type\": \"parent\",\n  \"fundraising_id\": 32,\n  \"amount\": 1200,\n  \"of_installments\": 12,\n  \"frequency\": \"monthly\",\n  \"amount_per_installment\": 100,\n  \"email\": \"rivka@example.com\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/fundraising/pledge/create', [
  'body' => '{
  "fundraising_fund_id": 14,
  "payer_id": 1004,
  "payer_type": "parent",
  "fundraising_id": 32,
  "amount": 1200,
  "of_installments": 12,
  "frequency": "monthly",
  "amount_per_installment": 100,
  "email": "rivka@example.com"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/fundraising/pledge/create");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"fundraising_fund_id\": 14,\n  \"payer_id\": 1004,\n  \"payer_type\": \"parent\",\n  \"fundraising_id\": 32,\n  \"amount\": 1200,\n  \"of_installments\": 12,\n  \"frequency\": \"monthly\",\n  \"amount_per_installment\": 100,\n  \"email\": \"rivka@example.com\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "fundraising_fund_id": 14,
  "payer_id": 1004,
  "payer_type": "parent",
  "fundraising_id": 32,
  "amount": 1200,
  "of_installments": 12,
  "frequency": "monthly",
  "amount_per_installment": 100,
  "email": "rivka@example.com"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/fundraising/pledge/create")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```